﻿
using System;
using System.Drawing;
using Wisej.Web;

namespace wisejCamera
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            camera1.GetImage(saveImage);
        }

        private void saveImage(Image image)
        {
            p.Image = image;
            image.Save(@"c:\temp\image_" + DateTime.Now.ToString("yyyyMMdd_HHmmss") + ".jpg", System.Drawing.Imaging.ImageFormat.Jpeg);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (camera1.FacingMode == Wisej.Web.Ext.Camera.Camera.VideoFacingMode.Environment)
                camera1.FacingMode = Wisej.Web.Ext.Camera.Camera.VideoFacingMode.User;
            else
                camera1.FacingMode = Wisej.Web.Ext.Camera.Camera.VideoFacingMode.Environment;
        }
    }
}
